Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Class AbleDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.ibm.able.AbleException
                          com.ibm.able.data.AbleDataException

All Implemented Interfaces:
  java.io.Serializable

public class AbleDataException
extends AbleException

This class defines an exception for reporting data related errors.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.AbleException
`myMessageContainer, object, severity`

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`AbleDataException()` Create a new Able data exception.
`AbleDataException(java.lang.String theMessage)` Create a new Able data exception.
`AbleDataException(java.lang.String theErrorMessage, java.lang.Throwable theException)` Create a new exception.

Methods inherited from class com.ibm.able.AbleException
`getExceptionBeans, getExceptions, getLocalizedMessage, getMessageContainer, getObject, getSeverity, hasMessageContainer, setObject, setSeverity, toString`

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleDataException

    public AbleDataException(java.lang.String theMessage)

  Create a new Able data exception.

Parameters:
  `theMessage` - A string describing the error.

### AbleDataException

    public AbleDataException()

  Create a new Able data exception.

### AbleDataException

    public AbleDataException(java.lang.String theErrorMessage,
                             java.lang.Throwable theException)

  Create a new exception.

Parameters:
  `theErrorMessage` -
  `theException` -

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005